# class OptionParser::Switch::PlacedArgument

`Switch` that takes an argument, which does not begin with ‘-’ or is ‘-’.

### Public Instance Methods

parse (arg, argv, &error)
Source

    # File lib/optparse.rb, line 784
    def parse(arg, argv, &error)
      if !(val = arg) and (argv.empty? or /\A-./ =~ (val = argv[0]))
        return nil, block
      end
      opt = (val = parse_arg(val, &error))[1]
      val = conv_arg(*val)
      if opt and !arg
        argv.shift
      else
        omitted_argument val
        val[0] = nil
      end
      val
    end

Returns nil if argument is not present or begins with ‘-’ and is not ‘-’.